summaryrefslogtreecommitdiff
path: root/t/help4.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-06-28 13:27:49 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-06-28 13:37:53 +0200
commitb21d68690612214d8edd810acf11880c3c0ad586 (patch)
tree7506c8901d7d16c4a5603a11e567b9e6315c9e9d /t/help4.sh
parentda9ad6fafeaf5dfa710a1a2b4176d1a049fddf13 (diff)
parentd25fac43a7c239fe8f56b2ce1b87ef3e3d4d7ef0 (diff)
downloadautomake-b21d68690612214d8edd810acf11880c3c0ad586.tar.gz
Merge branch 'maint'
* maint: tests: simpler workaround for shells losing the exit status in exit trap + Extra non-trivial edits: * Several tests: Adjusted to use 'exit' rather than 'Exit'. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/help4.sh')
-rwxr-xr-xt/help4.sh18
1 files changed, 9 insertions, 9 deletions
diff --git a/t/help4.sh b/t/help4.sh
index d51e0c41a..775a3abbe 100755
--- a/t/help4.sh
+++ b/t/help4.sh
@@ -17,7 +17,7 @@
# Check that the first among --help and --version to be specified on
# the command line takes precedence over the following one.
-. ./defs || Exit 1
+. ./defs || exit 1
# Ensure we run in an empty directory.
mkdir emptydir
@@ -31,24 +31,24 @@ AUTOMAKE=$am_original_AUTOMAKE
escape_dots () { sed 's/\./\\./g'; } # Avoid issues with "\" in backquotes.
apiversion_rx=$(echo "$APIVERSION" | escape_dots)
-$ACLOCAL --version --help >stdout || { cat stdout; Exit 1; }
+$ACLOCAL --version --help >stdout || { cat stdout; exit 1; }
cat stdout
grep "^aclocal.*$apiversion_rx" stdout
-grep "^Usage" stdout && Exit 1
+grep "^Usage" stdout && exit 1
-$ACLOCAL --help --version >stdout || { cat stdout; Exit 1; }
+$ACLOCAL --help --version >stdout || { cat stdout; exit 1; }
cat stdout
grep "^Usage" stdout
-grep "^aclocal.*$apiversion_rx" stdout && Exit 1
+grep "^aclocal.*$apiversion_rx" stdout && exit 1
-$AUTOMAKE --version --help >stdout || { cat stdout; Exit 1; }
+$AUTOMAKE --version --help >stdout || { cat stdout; exit 1; }
cat stdout
grep "^automake.*$apiversion_rx" stdout
-grep "^Usage" stdout && Exit 1
+grep "^Usage" stdout && exit 1
-$AUTOMAKE --help --version >stdout || { cat stdout; Exit 1; }
+$AUTOMAKE --help --version >stdout || { cat stdout; exit 1; }
cat stdout
grep "^Usage" stdout
-grep "^automake.*$apiversion_rx" stdout && Exit 1
+grep "^automake.*$apiversion_rx" stdout && exit 1
: